import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.lang.String;
import java.awt.Color;
import java.awt.Font;

/**
 * Label
 * 
 * @author JDB 
 * @version March 2011
 */
public class Label  extends Actor
{
    public Label(String text)
    {
        GreenfootImage img = new GreenfootImage(text.length()*15, 50);
        Color color = Color.BLUE;
        img.clear();
        img.setColor(color);
        img.setFont(new Font("Comic Sans MS",Font.BOLD, 18));
        img.drawString(text,2,45);
        setImage(img);
    }
    /**
     * Act - do whatever the Label wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
    }    
    
    public void setText(String text)
    {
        GreenfootImage img = getImage();
        img.scale(text.length()*10, img.getHeight());
        img.clear();
        img.drawString(text, 2, 45);
        setImage(img);
    }
}
